#ifndef DEDITTABLE_H
#define DEDITTABLE_H

#include "ui_dedittable.h"

#include "domitem.h"
#include "dommodel.h"

class TreeView;

class dEditTable : public QDialog
{
    Q_OBJECT

public:
    dEditTable(TreeView* parent = 0, Qt::WindowFlags f = 0);
    ~dEditTable();

    void updateMD();
    void InitDialog(QModelIndex & Idx, int o_flag = 0);  // 0 - view 1 - edit 2 - new

signals:
    void dataChanged();

public slots:
    void edtField();
    void newField();
    void delField();
    void upField();
    void dnField();

protected:
    int open_Flag;
    DomItem *item;
    QModelIndex tIdx;
    TreeView *MdiParent;

private:
    Ui::DEditTable ui;
};

#endif // DEDITTABLE_H
