#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QString>

QT_BEGIN_NAMESPACE
class QMenu;
class DomModel;
class TreeView;
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow();
    ~MainWindow();

public slots:
    void openFile();
    void findIDD();

private:
    DomModel *model;
    QMenu *fileMenu;
    QString xmlPath;
    TreeView *view;
};

#endif
